Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.FastZipEvents Class Reference

FastZipEvents supports all events applicable to FastZip operations. More...

## Public Member Functions
bool | OnDirectoryFailure (string directory, Exception e)
| Raise the directory failure event.
bool | OnFileFailure (string file, Exception e)
| Fires the file failure handler delegate.
bool | OnProcessFile (string file)
| Fires the ProcessFile delegate.
bool | OnCompletedFile (string file)
| Fires the CompletedFile delegate.
bool | OnProcessDirectory (string directory, bool hasMatchingFiles)
| Fires the process directory delegate.

## Public Attributes
ProcessDirectoryHandler | ProcessDirectory
| Delegate to invoke when processing directories.
ProcessFileHandler | ProcessFile
| Delegate to invoke when processing files.
ProgressHandler | Progress
| Delegate to invoke during processing of files.
CompletedFileHandler | CompletedFile
| Delegate to invoke when processing for a file has been completed.
DirectoryFailureHandler | DirectoryFailure
| Delegate to invoke when processing directory failures.
FileFailureHandler | FileFailure
| Delegate to invoke when processing file failures.

## Properties
TimeSpan | ProgressInterval`[get, set]`
| The minimum timespan between Progress events.

## Private Attributes
TimeSpan | progressInterval_ = TimeSpan.FromSeconds(3)

## Detailed Description

FastZipEvents supports all events applicable to FastZip operations.

## Member Function Documentation

## ◆ OnCompletedFile()

bool ICSharpCode.SharpZipLib.Zip.FastZipEvents.OnCompletedFile | ( | string | file | ) |

Fires the CompletedFile delegate.

Parameters

  file | The file whose processing has been completed.

Returns
  A boolean indicating if execution should continue or not.

Here is the call graph for this function:

## ◆ OnDirectoryFailure()

bool ICSharpCode.SharpZipLib.Zip.FastZipEvents.OnDirectoryFailure | ( | string | directory,
|  | Exception | e )

Raise the directory failure event.

Parameters

  directory | The directory causing the failure.
  e | The exception for this event.

Returns
  A boolean indicating if execution should continue or not.

Here is the call graph for this function:

## ◆ OnFileFailure()

bool ICSharpCode.SharpZipLib.Zip.FastZipEvents.OnFileFailure | ( | string | file,
|  | Exception | e )

Fires the file failure handler delegate.

Parameters

  file | The file causing the failure.
  e | The exception for this failure.

Returns
  A boolean indicating if execution should continue or not.

Here is the call graph for this function:

## ◆ OnProcessDirectory()

bool ICSharpCode.SharpZipLib.Zip.FastZipEvents.OnProcessDirectory | ( | string | directory,
|  | bool | hasMatchingFiles )

Fires the process directory delegate.

Parameters

  directory | The directory being processed.
  hasMatchingFiles | Flag indicating if the directory has matching files as determined by the current filter.

Returns
  A bool of true if the operation should continue; false otherwise.

Here is the call graph for this function:

## ◆ OnProcessFile()

bool ICSharpCode.SharpZipLib.Zip.FastZipEvents.OnProcessFile | ( | string | file | ) |

Fires the ProcessFile delegate.

Parameters

  file | The file being processed.

Returns
  A boolean indicating if execution should continue or not.

Here is the call graph for this function:

## Member Data Documentation

## ◆ CompletedFile

CompletedFileHandler ICSharpCode.SharpZipLib.Zip.FastZipEvents.CompletedFile

Delegate to invoke when processing for a file has been completed.

## ◆ DirectoryFailure

DirectoryFailureHandler ICSharpCode.SharpZipLib.Zip.FastZipEvents.DirectoryFailure

Delegate to invoke when processing directory failures.

## ◆ FileFailure

FileFailureHandler ICSharpCode.SharpZipLib.Zip.FastZipEvents.FileFailure

Delegate to invoke when processing file failures.

## ◆ ProcessDirectory

ProcessDirectoryHandler ICSharpCode.SharpZipLib.Zip.FastZipEvents.ProcessDirectory

Delegate to invoke when processing directories.

## ◆ ProcessFile

ProcessFileHandler ICSharpCode.SharpZipLib.Zip.FastZipEvents.ProcessFile

Delegate to invoke when processing files.

## ◆ Progress

ProgressHandler ICSharpCode.SharpZipLib.Zip.FastZipEvents.Progress

Delegate to invoke during processing of files.

## ◆ progressInterval_

TimeSpan ICSharpCode.SharpZipLib.Zip.FastZipEvents.progressInterval_ = TimeSpan.FromSeconds(3)
| private

## Property Documentation

## ◆ ProgressInterval

TimeSpan ICSharpCode.SharpZipLib.Zip.FastZipEvents.ProgressInterval
| get set

The minimum timespan between Progress events.

The minimum period of time between Progress events.

See also
  Progress

The default interval is three seconds.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Zip/FastZip.cs